petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetBlockSize

Returns the matrix block size.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBlockSize(Mat mat,PetscInt *bs)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

bs -block size

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix.

If the block size has not been set yet this routine returns 1.

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSizes()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages